%define name 	qmidiarp
%define version 0.0.2
%define release %mkrel 3

Summary: 	Simple, graphical MIDI arpeggiator
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://alsamodular.sourceforge.net/
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	libalsa-devel qt3-devel

%description
QMidiArp can run several arpeggiators at the same time, both 
monophonically and with chords. It is based on user definable patterns 
where the indices 0..9 address the notes currently played on a keyboard.
Several other tokens define tempo, note length, velocity,...

%prep
%setup -q
perl -p -i -e "s/\-O2/$RPM_OPT_FLAGS/g" Makefile
perl -pi -e 's/QT_BASE_DIR\)\/lib/QT_BASE_DIR\)\/%{_lib}/g' Makefile
perl -pi -e 's/usr\/%{_lib}/usr\/%{_lib}/g' Makefile

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%name"\
title="QMidiArp"\
longtitle="MIDI Arpeggiator"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"\
xdg="true"
EOF
)

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QMidiArp
Comment=MIDI Arpeggiator
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Midi;
Encoding=UTF-8
EOF

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README *.qma
%_bindir/%name
%_menudir/%name
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.2-3mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import qmidiarp


* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.2-3mdv2007.0
- %%mkrel
- xdg menu
- fix x11 path

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.0.2-2mdk
- lib64 fix

* Mon Sep 20 2004 Austin Acton <austin@mandrake.org> 0.0.2-1mdk
- initial build
-
